#ifndef _COBJECTLABELSELECT_H_
#define _COBJECTLABELSELECT_H_
#include "CObjectEditText.h"

class CObjectLabelSelect:public CObjectEditText
{
protected:
	// cut
	int KeyCut(int p_tab);
	
	// paste
	int KeyPaste(int p_tab);
	
	//insert
	int KeyInsert(int p_tab);
	
	//delete
	int KeySuppress(int p_tab);
	
	//suppres
	int KeyBackspace(int p_tab);
	
	//all other
	int KeyChar(UINT vk,int p_tab);
	
	// execution d'un reflexe suite au traitementd'une touche
	void EndKey(int type);
	
public:
	CObjectLabelSelect(container *,Layer *,int,int,int,int,int,int,int,int,int,int,int,int,char *,const char *,int,int);
	virtual ~CObjectLabelSelect();
};

#endif //_COBJECTLABELSELECT_H_